using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GGC_ContextMenu
{
    public partial class FormatSpecifier : Form
    {
        private string m_FormatString = String.Empty;

        public string FormatString
        {
            get { return m_FormatString; }
            set { m_FormatString = value; }
        }

        public FormatSpecifier()
        {
            InitializeComponent();
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            textBox1.Text = m_FormatString;
        }

        private void m_ButtonOK_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            m_FormatString = textBox1.Text;
        }

        private void m_ButtonCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }
    }
}